Skip to main content
GET
Commands / List

Authorizations

Authorization
string
header
required

OAuth2 Bearer Authorization

Query Parameters

order_by
string

Comma-separated list of fields prefixed with + (asc) or - (desc)

Pattern: ^([+-](created_at))(,([+-](created_at)))*$
Example:

"+created_at"

limit
integer<int64>

Maximum number of items per page. Maximum value is 50.

Required range: 1 <= x <= 50
Example:

"10"

page
integer<int64>

Page number to retrieve (starting from 1).

Required range: x >= 1
Example:

"1"

target_type
enum<string>

Filter by target type

Available options:
controller,
connector,
charging_session
target_uuid
string

Filter by target UUID

type
enum<string>

Filter by command type

Available options:
soft_reset,
hard_reset,
unlock,
refresh_configuration,
remote_stop,
change_availability
status
enum<string>

Filter by command status

Available options:
pending,
sent,
accepted,
rejected,
failed

Response

Command collection

commands
object[]
required

Commands

pagination
object

Pagination